Bug 439417 - Rethink drag scrolling with left mouse button
Summary: Rethink drag scrolling with left mouse button
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: 21.04.2
Platform: unspecified Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords: accessibility, usability
Depends on:
Blocks:
 
Reported: 2021-07-02 20:18 UTC by David Hurka
Modified: 2022-09-28 00:24 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:
david.hurka: Brainstorm+
david.hurka: Usability+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Hurka 2021-07-02 20:18:16 UTC
SUMMARY
https://invent.kde.org/graphics/okular/-/merge_requests/444 
indicates that drag-scrolling with cursor wraparound does not work very good.

After merging that fix, it will not crash on Wayland anymore, and show the traditional “wrap” behavior on X. The errorneous behavior if scrolling on a touchscreen is already fixed.

But as seen e. g. in https://bugs.kde.org/show_bug.cgi?id=421040, this behavior is not necessarily desirable. I like this behavior in Okular, but at the same time hate it in KiCad. Blender simply freezes the cursor while drag-scrolling, and in addition hides it. Maybe that is less annoying and more portable?

| Append your ideas there...
V

^
| ...using that comment text box.

STEPS TO REPRODUCE
1. Open a long document.
2. Scroll using the Browse tool and left mouse button dragging, until you reach a screen edge.

OBSERVED RESULT
If not on Wayland, the cursor “wraps” to the opposite screen edge.

EXPECTED RESULT
?

ADDITIONAL INFORMATION
Useful link from Aleix, maybe read up what may work on Wayland and what not:
> Here is some information. https://wayland-book.com/
Comment 1 Nate Graham 2021-07-29 23:25:58 UTC
I think the UX is *tolerable* when using a mouse without a scroll wheel where you can pick up the mouse and put it back down again as needed without removing your finger from the left button.

The UX is totally un-ergonomic with a touchpad and makes no sense there. And if your mouse has a scroll wheel, that's a much better UX as well.

I vote to remove the feature. And yes, I know that once we do, we'll find the 3 people in the world who use it and love it and curse our names and vow to hunt us down in the middle of the night and kidnap our children and set fire to our houses over it.
Comment 2 Eduardo 2022-09-28 00:24:42 UTC
https://invent.kde.org/graphics/okular/-/merge_requests/637 has been merged, giving an option to disable this feature.
We discussed it inside MR and we decided that adding an option to disable it was the way to go, so I'm closing this bug report too.